Compatible Formats
LLMoxy supports multiple request formats. Existing applications usually only need to replace the Base URL and API Key to migrate.
OpenAI Compatible
OpenAI SDK configuration:
TS
Main routes:
| Route | Purpose |
|---|---|
POST /v1/chat/completions | Chat Completions. |
POST /v1/completions | Legacy text completions. |
POST /v1/responses | Responses API. |
POST /v1/embeddings | Embeddings. |
POST /v1/images/generations | Image generation. |
POST /v1/audio/transcriptions | Audio transcription. |
POST /v1/audio/translations | Audio translation. |
POST /v1/audio/speech | Text-to-speech. |
GET /v1/realtime | Realtime WebSocket. |
Anthropic Messages
BASH
Anthropic routes accept system, max_tokens, temperature, top_p, top_k, stop_sequences, tools, tool_choice, thinking, metadata.user_id, and other fields.
Gemini
BASH
Gemini-style model lists can use GET /v1beta/models.
Not Yet Implemented Routes
Currently Relay returns not implemented for the following OpenAI-compatible routes:
POST /v1/images/variations/v1/files/v1/fine-tunesDELETE /v1/models/{model}
